Bug 215106 - Config Client doesnot do meta diffs on files OR dirs
Summary: Config Client doesnot do meta diffs on files OR dirs
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Configuration Management
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Todd Sanders
QA Contact: Red Hat Satellite QA List
URL:
Whiteboard:
Depends On:
Blocks: 215108
TreeView+ depends on / blocked
 
Reported: 2006-11-10 23:14 UTC by Partha Aji
Modified: 2011-01-05 22:48 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-01-05 22:48:21 UTC


Attachments (Terms of Use)

Description Partha Aji 2006-11-10 23:14:56 UTC
Scheduled Diff action on client files do not report the meta data attributes of
a path as a diff.. i.e. if client has a file with filemode = 644 and the channel
configuration file with the same name has a filemode = 755 .. This difference
does not get reported .. This becomes all the more important when diffing
directories....


1) On the command line 
%touch /tmp/foo
%ls -l /tmp/foo
-rw-rw-r--  1 paji paji 0 Nov 10 15:45 /tmp/foo  (s/paji/yourusername)
%chmod 700 /tmp/foo
%ls -l /tmp/foo
-rwx------  1 paji paji 0 Nov 10 15:45 /tmp/foo

2) Go to the SDC Configuration page for that system.. Select Add Files + create
 file.
3) Set the following values
File Type: Text File
Filename/Path: /tmp/foo
File Permissions Mode:644
User or User ID: root
Group or Group ID: root
4) Click on create configuration file
5) Go View/Modify Files + Local Sandbox
6) Select the file you just added and click on "Copy Latest to System Config
Channel"
7) Click on Compare Files
8) Select the file you just copied and click on "Compare Files"
9) Select "Schedule configuration actions as soon as possible." and hit 
Schedule Compare..
10) On the commandline
%sudo /usr/sbin/rhn_check -vv
...............
...............
D: Sending back response (0, 'Files successfully diffed', {'diffs': {'/tmp/foo':
''}})
D: do_call packages.checkNeedUpdate ('rhnsd=1',)
D: local action status:  (0, 'rpm database not modified since last update (or
package list recently updated)', {})


11) Notice - "D: Sending back response (0, 'Files successfully diffed',
{'diffs': {'/tmp/foo': ''}})"

There are no diff's reported... What should have been reported was the fact that
the file mode values, the user id and group id all were different...

Comment 1 Red Hat Bugzilla 2007-04-12 01:41:52 UTC
User bnackash@redhat.com's account has been closed

Comment 2 Red Hat Bugzilla 2007-05-03 05:42:45 UTC
User wregglej@redhat.com's account has been closed

Comment 4 Clifford Perry 2011-01-05 22:48:21 UTC
The RHN Satellite 4.x and RHN Proxy 4.x products have reached their end of
life. Please see:

Satellite 4 EOL Errata
 - https://rhn.redhat.com/errata/RHSA-2011-0001.html

RHN Proxy 4 EOL Errata
 - https://rhn.redhat.com/errata/RHSA-2011-0002.html

This bugzilla was reported for an unspecified version of the product, but was created prior to the release of 5.x - as such we assume this bug was reported for the 4.x version of the product - which is no longer supported. 

https://access.redhat.com/support/policy/updates/satellite/
RHN Satellite and Proxy Server 5
General availability: 	June 26, 2007

We are closing this bugzilla out. If you feel this bug report should be
reviewed again since it is valid for a currently supported product version,
then please feel free to re-open this bug report. 

Regards,
Clifford


Note You need to log in before you can comment on or make changes to this bug.